Package bitel.billing.server.tariff.voice.bean

# Class GeographicCode

java.lang.Object
bitel.billing.server.tariff.voice.bean.GeographicCode

public final class GeographicCode extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GeographicCode()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addSubCode(GeographicCode code)`
  `String`
  `getCode()`
  `String`
  `getDest()`
  `int`
  `getDestId()`
  `int`
  `getEndLevel()`
  `int`
  `getStartLevel()`
  `List<GeographicCode>`
  `getSubList()`
  `String`
  `getZone()`
  `int`
  `getZoneId()`
  `void`
  `setCode(String code)`
  `void`
  `setDest(String dest)`
  `void`
  `setDestId(int destId)`
  `void`
  `setEndLevel(int endLevel)`
  `void`
  `setStartLevel(int startLevel)`
  `void`
  `setZone(String zone)`
  `void`
  `setZoneId(int zoneId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GeographicCode

    public GeographicCode()

- ## Method Details

  - ### getEndLevel

    public int getEndLevel()

  - ### setEndLevel

    public void setEndLevel(int endLevel)

  - ### getStartLevel

    public int getStartLevel()

  - ### setStartLevel

    public void setStartLevel(int startLevel)

  - ### getZone

    public String getZone()

  - ### setZone

    public void setZone(String zone)

  - ### getZoneId

    public int getZoneId()

  - ### setZoneId

    public void setZoneId(int zoneId)

  - ### getDest

    public String getDest()

  - ### setDest

    public void setDest(String dest)

  - ### getCode

    public String getCode()

  - ### setCode

    public void setCode(String code)

  - ### getDestId

    public int getDestId()

  - ### setDestId

    public void setDestId(int destId)

  - ### getSubList

    public List<GeographicCode> getSubList()

  - ### addSubCode

    public void addSubCode(GeographicCode code)